/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/*********************

	MAIN

*********************/
* {
	margin: 0;
}
html, body {
	height: 100%;
	font-family: Calibri;
}
body{
	/*background: linear-gradient(130deg, #ef7e2f, #d34208);*/
    background-color: #232323;
	background-image: linear-gradient(315deg, #d9d9d9 0%, #f6f2f2 74%);
    background-size: cover;
    background-attachment: fixed;
}

@media (min-width: 640px) {
	
}
.hide{
	display:none!important;
}
#wrapper{
	text-align: center;
	padding:10px;
	max-width: 400px;
	margin:auto;
}
.button{
	padding: 10px 0px;
    display: inline-block;
    margin: auto;
    background: linear-gradient(130deg, #ef7e2f, #d34208);
    box-shadow: 0px 0px 3px #828282;
    color: #fff;
    border-radius: 6px;
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 0.3px;
    cursor:pointer;
}
.button.big{
	width:80%;
	padding:30px 0px;
}
.button.full{
	width:80%;
}
.shadow{
	box-shadow: 1px 2px 4px rgb(38 38 38 / 42%);
}
#manualInput{
	margin-top:30px;
}
.loader{
	width:20px;
	height:20px;
	border:3px solid orange;
	border-top:3px solid #fff;
	animation: spin 1s linear infinite;
	border-radius: 50%;
	display: inline-block;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}
input{
	width:80%;
	box-sizing: border-box;
	height:30px;
	margin-bottom: 10px;
	border: none;
    text-indent: 10px;
    border-bottom: 2px dotted #ef7f1a;
}
#bingoClubLogo{
	max-width: 90%;
	max-height: 200px;
}
#logo{
	max-width: 90%;
}
#introText{
	margin:20px 0px;
}
#logoUser{
	text-align: center;
}
#logoUser img{
	max-width: 400px;
	width:calc( 90% - 60px );
	margin:auto;
	margin: 30px 0px;
}
#intro{
	height:100%;
	
	display:grid;
	grid-template-rows: 1fr;
	grid-auto-columns: 1fr;
	align-items: center;
	font-size: 30px;
	text-align: center;
	background-color: #d9d9d9;
	background-image: linear-gradient(315deg, #d9d9d9 0%, #f6f2f2 74%);
    background-size: cover;
    background-attachment: fixed;
}
#introContent{
	padding: 30px 0px;
    background: #262626;
}
#printWrapper{
	display:none;
}
@media print {
	#wrapper{
		display:none;
	}
	#printWrapper{
		display:block;
	}
}
#black{
	background:rgba(0,0,0,0.8);
	position: fixed;
	top:0;
	left:0;
	right:0;
	bottom:0;
	z-index: 99;
}
.modal{
	display:grid;
	align-items: center;
	justify-content: center;
	width:100%;
	position: fixed;
	top:30%;
	z-index: 100;
}
.modal div{
	background: #fff;
	padding:20px;
	max-width: 100%;
}
#member{
	background: #fff;
	padding:20px 5px;
	margin-top:30px;
}
#member h2{
	padding:20px 0px;
	font-size: 20px;
	border-top: 6px double #eeeeee;
	margin-top:20px;
}
#memberInfo{
	display:grid;
	grid-template-columns: 1fr 1fr;
	grid-gap: 10px;
}
#memberInfo .block{
	background: #efefef;
    padding: 5px;
    color: #5a5a5a;
}
#memberInfo .header{
	text-align: left;
	font-size: 12px;
}
#memberInfo .value{
	font-size: 18px;
	font-weight: bold;
	padding:5px 0px;
}
#memberOptions div{
	margin:10px 0px;
}
#scanResultWrapper{
	display:grid;
	grid-template-columns: 1fr 30px;
	grid-gap: 5px;
}
#scanResult svg.fa-check{
	color:#38d63d;
}
#scanResult svg.fa-exclamation{
	color:#e63030;
}
#closeMember{
	cursor: pointer;
	color:#ef7f1a;
}
#closeMember:hover{
	opacity: 0.8;
}
/*********************

	PREMIUMS

*********************/
#membershipCard, .premium, #cStamps{
	max-width: 400px;
	width:calc( 90% - 60px );
	margin:auto;
	padding:30px;
	background: #fff;
	box-shadow: 1px 2px 4px rgb(38 38 38 / 42%);
	text-align: center;
}
.premium{
	background: linear-gradient(0deg, rgb(255 165 0), rgb(226 99 29 / 88%)), url(/images/bingo-club-premie.jpg);
    background-size: cover;
    text-shadow: 0px 0px 2px #000000;
    font-weight: bold;
    color: #fff;
    border: 4px dashed #ffffff;
    margin-bottom: 20px;
}
.premium.notValidYet{
	-webkit-filter: grayscale(100%);
  	filter: grayscale(100%);
  	border:4px dashed #963c3c;
}
.premium .name{
	text-transform: uppercase;
}
.premium .value{
	font-size: 40px;
	margin:16px 0px;
}
.premium .time{

}

/*********************

	Scanner

*********************/
#QrScanner{
	width:100%;
	height:100%;
}
.qrScannerButton{
    width: 92%;
    margin-left:3%;
    text-align: center;
    padding-left: 0px;
    padding-right: 0px;
}
#qrResult{
	width: 90%;
    margin: auto;
    text-align: center;
}
#keepScanningBtn{
	margin-bottom:20px;
}